Ré-organisatrion stage3 et stage5 comme les stages 0 à 2
[hvlinux.git] / stage5 / bootscripts / saslauthd
diff --git a/stage5/bootscripts/saslauthd b/stage5/bootscripts/saslauthd
new file mode 100755 (executable)
index 0000000..6d271a5
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# saslauthd
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+case "$1" in
+    start)
+       cmd_run_log_box_warn "SASL daemon start" loadproc /usr/sbin/saslauthd -a shadow
+        ;;
+
+    stop)
+       cmd_run_log_box_warn "SASL daemon stop" killproc saslauthd
+        ;;
+                
+    status)
+        statusproc saslauthd
+        ;;
+        
+    restart)
+        $0 stop
+        sleep 1
+        $0 start
+        ;;
+
+    *)
+       echo "Usage: $0 {restart|start|status|stop}"
+       exit ${EXIT_CODE_FAILURE}
+       ;;
+esac
+
+exit $?